Package org.apache.qpid.proton.amqp.messaging

# Class Modified

java.lang.Object
org.apache.qpid.proton.amqp.messaging.Modified

All Implemented Interfaces:
  `Outcome`, `DeliveryState`

public final class Modified extends Object implements DeliveryState, Outcome

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.qpid.proton.amqp.transport.DeliveryState

`DeliveryState.DeliveryStateType`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Symbol`
`DESCRIPTOR_SYMBOL`

## Constructor Summary

Constructors
Constructor
Description
`Modified()`

## Method Summary

Modifier and Type
Method
Description
`Boolean`
`getDeliveryFailed()`
`Map`
`getMessageAnnotations()`
`DeliveryState.DeliveryStateType`
`getType()`
`Boolean`
`getUndeliverableHere()`
`void`
`setDeliveryFailed(Boolean deliveryFailed)`
`void`
`setMessageAnnotations(Map messageAnnotations)`
`void`
`setUndeliverableHere(Boolean undeliverableHere)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DESCRIPTOR_SYMBOL

public static final Symbol DESCRIPTOR_SYMBOL

## Constructor Details

### Modified

public Modified()

## Method Details

### getDeliveryFailed

public Boolean getDeliveryFailed()

### setDeliveryFailed

public void setDeliveryFailed(Boolean deliveryFailed)

### getUndeliverableHere

public Boolean getUndeliverableHere()

### setUndeliverableHere

public void setUndeliverableHere(Boolean undeliverableHere)

### getMessageAnnotations

public Map getMessageAnnotations()

### setMessageAnnotations

public void setMessageAnnotations(Map messageAnnotations)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getType

public DeliveryState.DeliveryStateType getType()

Specified by:
  `getType` in interface `DeliveryState`
Returns:
  the `DeliveryState.DeliveryStateType` that this instance represents.